language: node_js
node_js:
  - "6"
  - "8"
before_script:
  - npm install -g grunt-cli
  - curl -o- -L https://yarnpkg.com/install.sh | bash

script:
  - yarn install
  - grunt --verbose
    # Check that files didn't change after running grunt. It should be run before pushing any code change.
  - if ! git diff --name-only --quiet -- dist docs src index.html --; then echo \"Files where modified after grunt execution!!...\"; exit 1; fi
